Inspect the current API identity
curl --request GET \
--url https://api.blank.build/api/v2/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blank.build/api/v2/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blank.build/api/v2/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"apiKeyId": "5e1d3c8a-c866-4f5f-974d-36ca7f6f6918",
"expiresAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"scopes": [],
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"walletAddress": "11111111111111111111111111111111"
}{
"code": "invalid_api_key",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 401,
"title": "Invalid API key",
"type": "https://blank.build/docs/reference/errors#invalid_api_key",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "rate_limit_exceeded",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 429,
"title": "Rate limit exceeded",
"type": "https://blank.build/docs/reference/errors#rate_limit_exceeded",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "internal_error",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 500,
"title": "Internal server error",
"type": "https://blank.build/docs/reference/errors#internal_error",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "identity_unavailable",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 503,
"title": "Identity unavailable",
"type": "https://blank.build/docs/reference/errors#identity_unavailable",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}Identity
Inspect the current API identity
Returns only the API key identity, pinned wallet, environment, scopes, and expiry.
GET
/
me
Inspect the current API identity
Authorizations
Server-side scoped Blank API key. Never embed it in browser or mobile code.
Response
The authenticated API identity.
Example:
"5e1d3c8a-c866-4f5f-974d-36ca7f6f6918"
Available options:
development, staging, production Required string length:
1 - 80Available options:
tokens:read, market-data:read, launches:read, launches:write, trading:write, staking:read, staking:write, fees:read, fees:write, predictions:read, predictions:write, predictions:delegate, presales:read, presales:write, token-management:write, audience:read, webhooks:read, webhooks:write, operations:read, transactions:write Pattern:
^[1-9A-HJ-NP-Za-km-z]{32,44}$Example:
"11111111111111111111111111111111"
⌘I